#include "DebugDTO.h"

namespace cca {

DebugDTO::DebugDTO() :
    DataTransferObject(), ContainingDoubles() {
}

DebugDTO::DebugDTO(nemo::RealVector values) :
    DataTransferObject(), ContainingDoubles(values) {

}

DebugDTOPtr DebugDTO::create(nemo::RealVector values) {
    // TODO: FIX THAT
    return DebugDTOPtr(new DebugDTO(values));
}

std::string DebugDTO::print() const {
    std::ostringstream outstream(std::ostringstream::out);
    outstream.precision(3); // Precision when printing double values
    outstream << "DebugDTO<";
    for (unsigned int i = 0; i < this->getDimension(); ++i) {
        if (i > 0) {
            outstream << ",";
        }
        outstream << this->asDouble(i);
    }
    outstream << ">(Pa)" << std::endl;
    return outstream.str();
}

}
